<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
$ankieta->writeGap();

$ankieta->writeGap();
//$ankieta->writeHeader("REKRUT");
//$ankieta->writeGap();

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]

$wiekPr=$ankieta->getValue("WIEKPR");
$wiekLabs=$ankieta->getLabels("WIEKPR");
$wiekLab=explode("-",$wiekLabs[$wiekPr]);
$wiekMin=$wiekLab[0];
$wiekMax=$wiekLab[1];

/* @var Ankieta $ankieta */


$s3amAnswers=[];
for ($i=1;$i<=17;$i++) {
    $s3amAnswers[$i]=$ankieta->getValue('S3am_'.$i);
}


$answers=array();
$answers[1]="Brolio";
$answers[2]="Kujawski z pierwszego tłoczenia (butelka plastikowa)";
$answers[3]="Kujawski 3 ziarna (butelka szklana)";
$answers[4]="Kujawski z ziołami (np. z czosnkiem, bazylią, pomidorami)";
$answers[5]="Kujawski tłoczony na zimno (butelka szklana)";
$answers[6]="Mazowiecki Mosso";
$answers[7]="Marlibo";
$answers[8]="Oleo";
$answers[9]="Oliwier";
$answers[10]="Polski";
$answers[11]="Popularny";
$answers[12]="Bartek uniwersalny";
$answers[13]="Vita D’or";
$answers[14]="Wielkopolski";
$answers[15]="Wyborny ";
$answers[16]="Beskidzki";
$answers[17]="inna marka oleju (jaka?)";
$ankieta->writeRadio('S3b','Której marki oleju używa Pani częściej?',$answers,true,@clean($data['S3b']));




?>

<script type="text/javascript">

    $(document).ready(function() {
        <?
        foreach ($s3amAnswers as $code=>$val) {
            if ($val==0) {
                print '$("#S3b_'.$code.'").fancyfields("disable"); ';
            }
        }
        if ($ankieta->getValue('S3amILE')==1) {
            $key=array_search(1,$s3amAnswers);
            print 'selectRadio("S3am",'.$key.');';
            print "nextPage(1);";

        }
        ?>
    });


</script>